#!/bin/bash

startScan()
{
	sourceScanFiles "libreportal_configs";
    sourceScanFiles "app_configs";
    sourceScanFiles "containers";
    scanConfigsForRandomPassword;
    sourceScanFiles "libreportal_configs";
    updateDockerInstallPassword;
    updateHostIPToWhitelist
    updateDockerSudoPassword;
	appDashyUpdateConf;
    webuiLibrePortalUpdate;
	if [[ $CFG_REQUIREMENT_DNS_UPDATER == "true" ]]; then
        updateDNS "" scan;
    fi
	if [[ $CFG_REQUIREMENT_WHITELIST_PORT_UPDATER == "true" ]]; then
		whitelistPortUpdater;
    fi
    databaseAppScan;
    crontabRefresh;
    dockerSwitcherSwap;

    # Always at the end
    databaseListInstalledApps;
}
